version: "2"
linters:
  exclusions:
    generated: lax
    presets:
      - comments
      - common-false-positives
      - legacy
      - std-error-handling
    rules:
      - linters:
          - unused
        path: _test\.go
      - linters:
          - staticcheck
        path: _test\.go
        text: "SA4017:|SA4006:"
    paths:
      - third_party$
      - builtin$
      - examples$
formatters:
  exclusions:
    generated: lax
    paths:
      - third_party$
      - builtin$
      - examples$
